Balances
List wallet balances
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
moduleId?unknowncustomerId?unknownResponse Body
200application/json
Wallets with balances
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/wallets/balances' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "wallets": [ { "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "moduleId": "string", "address": "string", "balances": [ { "chain": "base", "asset": "USDT", "amount": "1000000", "decimals": 6 } ], "errors": [ "string" ] } ], "nextCursor": "string" }, "status": 200, "success": true}